using BarContracts.Attrubites;
using BarDataModels.Models;

namespace BarContracts.ViewModels
{
	public class ClientViewModel : IClientModel
    {
		[Column(Visible: false)]
		public int Id { get; set; }

		[Column(Title: "ФИО клиента", Width: 150)]
		public string ClientFIO { get; set; } = string.Empty;
        
		[Column(Title: "Логин (эл. почта)", GridViewAutoSize: GridViewAutoSize.Fill, IsUseAutoSize: true)]
		public string Email { get; set; } = string.Empty;

		[Column(Title: "Пароль", Width: 150)]
		public string Password { get; set; } = string.Empty;
    }
}
